SPI_PFREE(3)

NAME
SPI_pfree - free memory in the upper executor context

SYNOPSIS

void SPI_pfree(void * pointer)

DESCRIPTION

SPI_pfree frees memory previously allocated using SPI_palloc or SPI_repalloc.

This function is no longer different from plain pfree. It's kept just for backward compatibility of existing code.

ARGUMENTS

void * pointer
    pointer to existing storage to free